import { DataBase } from "../Frames/DataManager";

//通过接口的属性 去 访问实际表格当中的属性
export interface GameResData extends DataBase{
    resName: string,
    path: string,
    replace: string[],
    atlas: boolean
}
export interface TowerData extends DataBase{
    chassis: string[],
    fireAniImg: string,
    fireAniCount: number,
    bulletAniImg: string,
    bulletAniCount: number,
    cardImg: string[],
    atkRadiums: number[],
    rotate: boolean,
    fireType: string
}

export interface LevelData extends DataBase{
    towerid: number[],
    totalwave: number,
}

export interface RoleData extends DataBase{
    typeRole: string;
    imgName: string;
    atk: number;
    hp: number
    atkLength: number;
    moveSpeed: number;
}

